Page MenuHomePhabricator

cleanup iwlinks table on WMF wikis
Closed, ResolvedPublic

Description

bug 28568 is live on WMF wikis, but it is nice to clean up the iwlinks table.

It is better to do it now, because the table are not so big (added with 1.17), I think.

Thanks.


Version: unspecified
Severity: normal

Details

Reference
bz28628

Related Objects

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 21 2014, 11:34 PM
bzimport set Reference to bz28628.
bzimport added a subscriber: Unknown Object (MLST).

Is there a script or such written for this?

(In reply to comment #1)

Is there a script or such written for this?

No, but that's not really needed. You can find out the offending page IDs using a (kinda expensive) LEFT JOIN query on the toolserver, then run something like

php maintenance/runBatchedQuery.php "DELETE FROM iwlinks WHERE iwl_from IN (123,456,789) LIMIT 500;"

on the cluster.

The maintenance script refreshlinks is not working for this table (bug 28630)

(In reply to comment #3)

The maintenance script refreshlinks is not working for this table (bug 28630)

refreshLinks would be overkill for this purpose anyway.

Reedy added a comment.Jul 9 2011, 3:57 AM

I've added it to reflinks (per bug 28630)

But using it to fix it, would be like 8 times overkill doing the rest of the other updates

There's still 4.1M rows on enwiki in the iwlinks table

Reedy added a comment.Apr 17 2012, 4:21 PM

It's going to be done for bug 27480, so that will fix this also

  • This bug has been marked as a duplicate of bug 27480 ***
Reedy added a comment.Apr 17 2012, 4:22 PM

And/or bug 16112

Reopening: unless bug 16112 solved it outside en.wiki, refreshlinks is not a solution for this problem (overkill, won't be run).
How expensive is the solution proposed by Roan in comment 2?

Affected by bug 16112, so this is fixed for all wikis excepted enwiki, but will be fixed, when bug 36195 and bug 42180 will be fixed.

The solution from comment 2 does not work, because it used the same slow query than for all the other tables. See bug 42180.

No need to keep two bugs open, when one includes the other.